<sly data-sly-test="${wcmmode.edit}">
  <style>
    .quicklinks-menu {
      position: static;
    }
  </style>
</sly>

<div id="block-floatingmenu" class="quicklinks-menu">
  <div class="field">
    <div class="field--item">
      <div class="inner-wrapper">
        <ul class="menu nav">
          <li class="desktop-menu">
            <ul class="menu">

              <sly data-sly-list.floatMf=${resource.children}>
                <sly data-sly-test="${floatMf.name == 'floatIcons'}">
                  <sly data-sly-list.floatItem=${floatMf.children}>
                    <sly data-sly-test="${floatItem.animate}">
                      <li id="${floatItem.floatId}" class="animate-li" title="${floatItem.floatText}">
                        <a title="${floatItem.floatText}" target="${floatItem.linkTarget}" href="${floatItem.floatLink}">
                          <span class="float-icon">
                            <img src="${floatItem.floatIconPath}" alt="${floatItem.floatIconAltText}">
                          </span>
                          <span>${floatItem.floatText}</span>
                        </a>
                      </li>
                    </sly>
                    <sly data-sly-test="${!floatItem.animate}">
                      <li id="${floatItem.floatId}" class="no-animate" title="${floatItem.floatText}">
                        <a title="${floatItem.floatText}" target="${floatItem.linkTarget}" href="${floatItem.floatLink}">
                          <span class="float-icon">
                            <img src="${floatItem.floatIconPath}" alt="${floatItem.floatIconAltText}">
                          </span>
                          <span>${floatItem.floatText}</span>
                        </a>
                      </li>
                    </sly>
                  </sly>
                </sly>
              </sly>
            </ul>
          </li>

          <li class="mobile-menu">
            <ul class="menu">
              <sly data-sly-list.floatMf=${resource.children}>
                <sly data-sly-test="${floatMf.name == 'floatIcons'}">
                  <sly data-sly-list.floatItem=${floatMf.children}>
                    <sly data-sly-test="${floatItem.showMobile}">
                      <li id="${floatItem.floatId}" class="float-mobile" title="${floatItem.floatText}">
                        <a title="${floatItem.floatText}" target="${floatItem.linkTarget}" href="${floatItem.floatLink}">
                          <span class="float-icon">
                            <img src="${floatItem.floatIconPath}" alt="${floatItem.floatIconAltText}">
                          </span>
                          <span>${floatItem.floatText}</span>
                        </a>
                      </li>
                    </sly>
                  </sly>
                </sly>
              </sly>
            </ul>
          </li>
        </ul>
      </div>
    </div>
  </div>
</div>